PaymentsOrders
Get payment by unique id
Fetch payment data by its unique id.
The id path parameter represents the unique payment identifier.
Payment IDs can be obtained from the payments listing endpoint GET /api/v1/payments or from the response of creation endpoint POST /api/v1/payments.
Path Parameters
id*integer
Payment id
Range
1 <= valueHeader Parameters
Authorization*string
Your API token
Response Body
application/json
application/json
application/json
curl -X GET "https://dev-refactor-api-e.voipenv.uk/api/v1/payments/1" \ -H "Authorization: string"{
"code": 0,
"data": {
"amount": 0,
"amount_gross": 0,
"created_at": "string",
"destination": "voice",
"id": 0,
"paid_at": "string",
"payment_gateway_id": 0,
"payment_gateway_title": "string",
"payment_gateway_unique_id": "string",
"status": "undefined",
"transaction_id": "string",
"url": "string",
"wallet_address": "string",
"wallet_id": 0
},
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "ok"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}{
"code": 0,
"error_details": {
"property1": [
"string"
],
"property2": [
"string"
]
},
"message": "string",
"request_id": "string",
"status": "error"
}